# CompatibilityCheckDetails

interface CompatibilityCheckDetails<T>

Provides context about attribute compatibility checks, and allows the user to define when an attribute is compatible with another.

A compatibility check will never be performed when the consumer and producer values are equal.

#### Since

3.3

#### Parameters

<T>

the concrete type of the attribute

## Functions

compatible
Link copied to clipboard
abstract fun compatible()
Calling this method will indicate that the attributes are compatible.
getConsumerValue
Link copied to clipboard
@Nullable
abstract fun getConsumerValue(): @Nullable T
The value of the attribute as found on the consumer side.
getProducerValue
Link copied to clipboard
@Nullable
abstract fun getProducerValue(): @Nullable T
The value of the attribute as found on the producer side.
incompatible
Link copied to clipboard
abstract fun incompatible()
Calling this method will indicate that the attributes are incompatible.